<?php

namespace App\Domains\Auth\Controllers;

use App\Domains\Auth\Resources\UserResource;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class MeController
{
    public function __invoke(Request $request): JsonResponse
    {
        return response()->json(UserResource::make($request->user())->resolve());
    }
}
